LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XAuthenticator Interface Reference

Represents an interface that will be used to query for user information which are necessary to login to a network resource. More...

`import "XAuthenticator.idl";`

Inheritance diagram for XAuthenticator:

## Public Member Functions
string | getUserName ()
| Will be called when the user name is needed.
string | getPassword ()
| Will be called when the password of the user is needed.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Represents an interface that will be used to query for user information which are necessary to login to a network resource.

An implementation of this interface may for instance show a dialog to query the user for the necessary data.

Since
  OOo 2.0

## Member Function Documentation

## ◆ getPassword()

string getPassword | ( |  | ) |

Will be called when the password of the user is needed.

Returns
  the password of the user.

## ◆ getUserName()

string getUserName | ( |  | ) |

Will be called when the user name is needed.

Returns
  the user name.

The documentation for this interface was generated from the following file:

- com/sun/star/mail/XAuthenticator.idl